ZXBAmmoTypeUtil = {
	
	AluminumBolt = {
		
		whenLoaded = function (weapon)
			if ZXBconfig.debug then
				print("Aluminium Bolt loaded, increasing piercing")
			end
			weapon:setMaxHitCount(weapon:getMaxHitCount() + 1) 
		end,
		whenUnLoaded = function (weapon)
			if ZXBconfig.debug then
				print("Aluminium Bolt unloaded, decreasing piercing")
			end
			local maxHit = weapon:getMaxHitCount();
			if maxHit > 1 then 
				weapon:setMaxHitCount( maxHit - 1); 
			end
		end
	},
	ExplosiveBolt = {
		
		whenLoaded = function (weapon)
			weapon:setExplosionPower(40)
			weapon:setExplosionRange(6)		
			weapon:setExplosionSound('smallExplosion')
			weapon.setPhysicsObject('PipeBomb')
		end,
		whenUnLoaded = function (weapon)
			weapon:setExplosionPower(nil)
			weapon:setExplosionRange(nil)		
			weapon:setExplosionSound(nil)
			weapon.setPhysicsObject(nil)
		end
	},

}
